"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ReadJob_1 = require("../model/operations/ReadJob");
class ReadJobCommand {
    constructor(input) {
        this.input = input;
        this.model = ReadJob_1.ReadJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ReadJobCommand = ReadJobCommand;
//# sourceMappingURL=ReadJobCommand.js.map