"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ReadPreset_1 = require("../model/operations/ReadPreset");
class ReadPresetCommand {
    constructor(input) {
        this.input = input;
        this.model = ReadPreset_1.ReadPreset;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ReadPresetCommand = ReadPresetCommand;
//# sourceMappingURL=ReadPresetCommand.js.map