"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeletePipelineInput_1 = require("../shapes/DeletePipelineInput");
const DeletePipelineOutput_1 = require("../shapes/DeletePipelineOutput");
const ValidationException_1 = require("../shapes/ValidationException");
const IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ResourceInUseException_1 = require("../shapes/ResourceInUseException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const InternalServiceException_1 = require("../shapes/InternalServiceException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeletePipeline = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeletePipeline",
    http: {
        method: "DELETE",
        requestUri: "/2012-09-25/pipelines/{Id}"
    },
    input: {
        shape: DeletePipelineInput_1.DeletePipelineInput
    },
    output: {
        shape: DeletePipelineOutput_1.DeletePipelineOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=DeletePipeline.js.map