"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const TestRoleInput_1 = require("../shapes/TestRoleInput");
const TestRoleOutput_1 = require("../shapes/TestRoleOutput");
const ValidationException_1 = require("../shapes/ValidationException");
const IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const InternalServiceException_1 = require("../shapes/InternalServiceException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.TestRole = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TestRole",
    http: {
        method: "POST",
        requestUri: "/2012-09-25/roleTests"
    },
    input: {
        shape: TestRoleInput_1.TestRoleInput
    },
    output: {
        shape: TestRoleOutput_1.TestRoleOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=TestRole.js.map