"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdatePipelineStatusInput_1 = require("../shapes/UpdatePipelineStatusInput");
const UpdatePipelineStatusOutput_1 = require("../shapes/UpdatePipelineStatusOutput");
const ValidationException_1 = require("../shapes/ValidationException");
const IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ResourceInUseException_1 = require("../shapes/ResourceInUseException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const InternalServiceException_1 = require("../shapes/InternalServiceException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdatePipelineStatus = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdatePipelineStatus",
    http: {
        method: "POST",
        requestUri: "/2012-09-25/pipelines/{Id}/status"
    },
    input: {
        shape: UpdatePipelineStatusInput_1.UpdatePipelineStatusInput
    },
    output: {
        shape: UpdatePipelineStatusOutput_1.UpdatePipelineStatusOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=UpdatePipelineStatus.js.map